<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>GamePiece</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="declaration: class: GamePiece">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/GamePiece.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h1 title="Class GamePiece" class="title">Class GamePiece</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">GamePiece</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">GamePiece</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">l'objet pièce de jeu</div>
<dl class="notes">
<dt>Author:</dt>
<dd>imad</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(java.lang.String,java.lang.String,int,int,int,int,int,Ability,java.lang.String,int)" class="member-name-link">GamePiece</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;team,
 int&nbsp;x,
 int&nbsp;y,
 int&nbsp;health,
 int&nbsp;damage,
 int&nbsp;level,
 <a href="Ability.html" title="class in Unnamed Package">Ability</a>&nbsp;ability,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imageURL,
 int&nbsp;moveType)</code></div>
<div class="col-last even-row-color">
<div class="block">GamePiece constructor</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#deselect(GamePiece,GamePiece%5B%5D,Game,GamePiece%5B%5D)" class="member-name-link">deselect</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="Game.html" title="class in Unnamed Package">Game</a>&nbsp;game,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">désélectionne la pièce de l'importation si elle a déjà été sélectionnée sur l'écran "sélectionner l'équipe".</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="Ability.html" title="class in Unnamed Package">Ability</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getAbility()" class="member-name-link">getAbility</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie la capacité de la pièce sous la forme d'un objet Ability.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getAbilityDescription()" class="member-name-link">getAbilityDescription</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie un tableau de chaînes formatées contenant la description de la capacité.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getAbilityName()" class="member-name-link">getAbilityName</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie le nom de la capacité</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getAbilityType()" class="member-name-link">getAbilityType</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie une représentation entière du type de capacité</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getDamage()" class="member-name-link">getDamage</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">retourne le dommage de la pièce</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getHealth()" class="member-name-link">getHealth</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie une représentation entière de l'état de santé de la pièce</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImage()" class="member-name-link">getImage</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie l'image de la pièce</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getLevel()" class="member-name-link">getLevel</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie une représentation entière du niveau de la pièce</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getMaxHealth()" class="member-name-link">getMaxHealth</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie la santé initiale/maximale de la pièce - utilisée pour les barres de santé.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getMoveType()" class="member-name-link">getMoveType</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie le moveType de la pièce afin que nous puissions savoir comment elle va se déplacer : ligne, saut, un, etc.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getName()" class="member-name-link">getName</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">retourner le nom de la pièce (par exemple, "Archer")</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getTeam()" class="member-name-link">getTeam</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie une chaîne de caractères représentant l'équipe à laquelle appartient la pièce : "Rouge" ou "Bleu"</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getTeamAsInt()" class="member-name-link">getTeamAsInt</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie une représentation entière de l'équipe à laquelle appartient la pièce : 0 pour les bleus et 1 pour les rouges</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getX()" class="member-name-link">getX</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie la coordonnée x, de 0 à 15, de la pièce sur le plateau.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getXP()" class="member-name-link">getXP</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">returns the xp as an int</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getY()" class="member-name-link">getY</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie la coordonnée y, de 0 à 11, de la pièce sur le plateau.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isAlive()" class="member-name-link">isAlive</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie vrai si la santé de la pièce est strictement supérieure à 0</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isSelected()" class="member-name-link">isSelected</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">retourne vrai si la pièce est sélectionnée</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#reImport(GamePiece,GamePiece%5B%5D,GamePiece%5B%5D)" class="member-name-link">reImport</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">réimporter les pièces après que de nouvelles ont été sélectionnées ou désélectionnées</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#save()" class="member-name-link">save</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Enregistre la pièce</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#select(GamePiece,GamePiece%5B%5D,Game,GamePiece%5B%5D)" class="member-name-link">select</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="Game.html" title="class in Unnamed Package">Game</a>&nbsp;game,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">sélectionne la pièce pour l'importation si elle a été désélectionnée dans l'écran "sélectionner l'équipe".</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setDamage(int)" class="member-name-link">setDamage</a><wbr>(int&nbsp;damage)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met à jour les dommages de la pièce</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setHealth(int)" class="member-name-link">setHealth</a><wbr>(int&nbsp;health)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met à jour la santé de la pièce</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setImage(java.lang.String)" class="member-name-link">setImage</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imageURL)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">définit l'image de la pièce (utilisée si nous décidons de changer d'image pour représenter la montée de niveau)</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setLevel(int)" class="member-name-link">setLevel</a><wbr>(int&nbsp;level)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met à jour le niveau du morceau en fonction de l'int qui lui est passé (de 1 à 9)</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setX(int)" class="member-name-link">setX</a><wbr>(int&nbsp;x)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met à jour les coordonnées x de la pièce sur le tableau</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setXP(int)" class="member-name-link">setXP</a><wbr>(int&nbsp;xp)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">définit l'xp de la pièce et met à jour sa santé et ses dégâts en fonction de ce score</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setXY(int,int)" class="member-name-link">setXY</a><wbr>(int&nbsp;x2,
 int&nbsp;y2)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">définit les coordonnées x et y de la pièce (utilisée pour le déplacement) de 0 à 15 en x et de 0 à 11 en y.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setY(int)" class="member-name-link">setY</a><wbr>(int&nbsp;y)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met à jour les coordonnées y de la pièce sur le tableau</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#updateAbilityDescription(java.lang.String%5B%5D)" class="member-name-link">updateAbilityDescription</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;description)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met à jour la description de la capacité de la pièce</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#writeSelection(GamePiece,GamePiece%5B%5D)" class="member-name-link">writeSelection</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">écrit les morceaux sélectionnés dans un fichier</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,int,int,int,int,int,Ability,java.lang.String,int)">
<h3>GamePiece</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">GamePiece</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;name,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;team,
 int&nbsp;x,
 int&nbsp;y,
 int&nbsp;health,
 int&nbsp;damage,
 int&nbsp;level,
 <a href="Ability.html" title="class in Unnamed Package">Ability</a>&nbsp;ability,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imageURL,
 int&nbsp;moveType)</span></div>
<div class="block">GamePiece constructor</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>name</code> - le nom de la pièce</dd>
<dd><code>team</code> - l'équipe de la pièce</dd>
<dd><code>x</code> - la coordonnée X de la pièce</dd>
<dd><code>y</code> - la coordonnée Y de la pièce</dd>
<dd><code>health</code> - les points de vie de la pièce</dd>
<dd><code>damage</code> - les points de dégats de la pièce</dd>
<dd><code>level</code> - le niveau de la pièce</dd>
<dd><code>ability</code> - les capacité de la pièce</dd>
<dd><code>imageURL</code> - l'image de la pièce</dd>
<dd><code>moveType</code> - le type de mouvement de la pièce</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="save()">
<h3>save</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">save</span>()</div>
<div class="block">Enregistre la pièce</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>String des infos de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getName()">
<h3>getName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getName</span>()</div>
<div class="block">retourner le nom de la pièce (par exemple, "Archer")</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le nom de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAbility()">
<h3>getAbility</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="Ability.html" title="class in Unnamed Package">Ability</a></span>&nbsp;<span class="element-name">getAbility</span>()</div>
<div class="block">renvoie la capacité de la pièce sous la forme d'un objet Ability.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la capacité</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAbilityType()">
<h3>getAbilityType</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getAbilityType</span>()</div>
<div class="block">renvoie une représentation entière du type de capacité</div>
<dl class="notes">
<dt>Returns:</dt>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAbilityName()">
<h3>getAbilityName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getAbilityName</span>()</div>
<div class="block">renvoie le nom de la capacité</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la capacité</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAbilityDescription()">
<h3>getAbilityDescription</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]</span>&nbsp;<span class="element-name">getAbilityDescription</span>()</div>
<div class="block">renvoie un tableau de chaînes formatées contenant la description de la capacité.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la déscription de la capacité</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="updateAbilityDescription(java.lang.String[])">
<h3>updateAbilityDescription</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">updateAbilityDescription</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;description)</span></div>
<div class="block">met à jour la description de la capacité de la pièce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>description</code> - la déscription de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getHealth()">
<h3>getHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getHealth</span>()</div>
<div class="block">renvoie une représentation entière de l'état de santé de la pièce</div>
<dl class="notes">
<dt>Returns:</dt>
</dl>
</section>
</li>
<li>
<section class="detail" id="getLevel()">
<h3>getLevel</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getLevel</span>()</div>
<div class="block">renvoie une représentation entière du niveau de la pièce</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le niveau</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setLevel(int)">
<h3>setLevel</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setLevel</span><wbr><span class="parameters">(int&nbsp;level)</span></div>
<div class="block">met à jour le niveau du morceau en fonction de l'int qui lui est passé (de 1 à 9)</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>level</code> - le niveau</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getX()">
<h3>getX</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getX</span>()</div>
<div class="block">renvoie la coordonnée x, de 0 à 15, de la pièce sur le plateau.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la coordonée x de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getY()">
<h3>getY</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getY</span>()</div>
<div class="block">renvoie la coordonnée y, de 0 à 11, de la pièce sur le plateau.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la coordonée Y de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getImage()">
<h3>getImage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/javax/swing/ImageIcon.html" title="class or interface in javax.swing" class="external-link">ImageIcon</a></span>&nbsp;<span class="element-name">getImage</span>()</div>
<div class="block">renvoie l'image de la pièce</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>image</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setImage(java.lang.String)">
<h3>setImage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setImage</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imageURL)</span></div>
<div class="block">définit l'image de la pièce (utilisée si nous décidons de changer d'image pour représenter la montée de niveau)</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>imageURL</code> - l'url de l'image</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isAlive()">
<h3>isAlive</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isAlive</span>()</div>
<div class="block">renvoie vrai si la santé de la pièce est strictement supérieure à 0</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>l'état de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setHealth(int)">
<h3>setHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setHealth</span><wbr><span class="parameters">(int&nbsp;health)</span></div>
<div class="block">met à jour la santé de la pièce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>health</code> - les points de vie de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setX(int)">
<h3>setX</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setX</span><wbr><span class="parameters">(int&nbsp;x)</span></div>
<div class="block">met à jour les coordonnées x de la pièce sur le tableau</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - les coordonée X de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setY(int)">
<h3>setY</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setY</span><wbr><span class="parameters">(int&nbsp;y)</span></div>
<div class="block">met à jour les coordonnées y de la pièce sur le tableau</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>y</code> - les coordonnées Y de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getDamage()">
<h3>getDamage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getDamage</span>()</div>
<div class="block">retourne le dommage de la pièce</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>dégats de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setDamage(int)">
<h3>setDamage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setDamage</span><wbr><span class="parameters">(int&nbsp;damage)</span></div>
<div class="block">met à jour les dommages de la pièce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>damage</code> - nouveau dégats</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getMaxHealth()">
<h3>getMaxHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getMaxHealth</span>()</div>
<div class="block">renvoie la santé initiale/maximale de la pièce - utilisée pour les barres de santé.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>santé maximale de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setXY(int,int)">
<h3>setXY</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setXY</span><wbr><span class="parameters">(int&nbsp;x2,
 int&nbsp;y2)</span></div>
<div class="block">définit les coordonnées x et y de la pièce (utilisée pour le déplacement) de 0 à 15 en x et de 0 à 11 en y.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x2</code> - Coord X de la pièce</dd>
<dd><code>y2</code> - Coord Y de la pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getTeam()">
<h3>getTeam</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getTeam</span>()</div>
<div class="block">renvoie une chaîne de caractères représentant l'équipe à laquelle appartient la pièce : "Rouge" ou "Bleu"</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la couleur de l'équipe</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getTeamAsInt()">
<h3>getTeamAsInt</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getTeamAsInt</span>()</div>
<div class="block">renvoie une représentation entière de l'équipe à laquelle appartient la pièce : 0 pour les bleus et 1 pour les rouges</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le nombre de l'équipe</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getXP()">
<h3>getXP</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getXP</span>()</div>
<div class="block">returns the xp as an int</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le nombre d'XP</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getMoveType()">
<h3>getMoveType</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getMoveType</span>()</div>
<div class="block">renvoie le moveType de la pièce afin que nous puissions savoir comment elle va se déplacer : ligne, saut, un, etc.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le type de mouvement</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setXP(int)">
<h3>setXP</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setXP</span><wbr><span class="parameters">(int&nbsp;xp)</span></div>
<div class="block">définit l'xp de la pièce et met à jour sa santé et ses dégâts en fonction de ce score</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>xp</code> - XP</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isSelected()">
<h3>isSelected</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isSelected</span>()</div>
<div class="block">retourne vrai si la pièce est sélectionnée</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la pièce selectionner</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="select(GamePiece,GamePiece[],Game,GamePiece[])">
<h3>select</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">select</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="Game.html" title="class in Unnamed Package">Game</a>&nbsp;game,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</span></div>
<div class="block">sélectionne la pièce pour l'importation si elle a été désélectionnée dans l'écran "sélectionner l'équipe".</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>piece</code> - la pièce à sélectionner</dd>
<dd><code>characters</code> - le type de pièce</dd>
<dd><code>game</code> - la partie en cours</dd>
<dd><code>board</code> - la table de jeu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="deselect(GamePiece,GamePiece[],Game,GamePiece[])">
<h3>deselect</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">deselect</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="Game.html" title="class in Unnamed Package">Game</a>&nbsp;game,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</span></div>
<div class="block">désélectionne la pièce de l'importation si elle a déjà été sélectionnée sur l'écran "sélectionner l'équipe".</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>piece</code> - la pièce à désélectionner</dd>
<dd><code>characters</code> - le type de pièce</dd>
<dd><code>game</code> - la partie en cours</dd>
<dd><code>board</code> - la table de jeu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="reImport(GamePiece,GamePiece[],GamePiece[])">
<h3>reImport</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">reImport</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</span></div>
<div class="block">réimporter les pièces après que de nouvelles ont été sélectionnées ou désélectionnées</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>piece</code> - pièce dans la liste d'import</dd>
<dd><code>characters</code> - le type de pièce</dd>
<dd><code>board</code> - la table de jeu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="writeSelection(GamePiece,GamePiece[])">
<h3>writeSelection</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">writeSelection</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters)</span>
                    throws <span class="exceptions"><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></span></div>
<div class="block">écrit les morceaux sélectionnés dans un fichier</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>piece</code> - la pièce</dd>
<dd><code>characters</code> - les charactère</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></code> - fichier inexistant</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
